src/gui/cs_gui_specific_physics.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_gui_specific_physics.h File Reference
`#include "cs_base.h"`
Include dependency graph for cs_gui_specific_physics.h:

Go to the source code of this file.

## Functions
void | uippmo (int *const ippmod, int *const icod3p, int *const icodeq, int *const icoebu, int *const icobml, int *const icolwc, int *const iccoal, int *const icpl3c, int *const icfuel, int *const ieljou, int *const ielarc, int *const ielion, int *const icompf, int *const iatmos, int *const iaeros, int *const ieos, int *const ieqco2)
void | uicpi1 (double *const srrom, double *const diftl0)
void | uicpi2 (double *const toxy, double *const tfuel)
void | uicpsc (const int *const ncharb, const int *const nclass, const int *const noxyd, const int *const ippmod, const int *const iccoal, const int *const ieqnox, const int *const ieqco2, const int *const ihtco2, const int *const ihth2o, const int *const iscalt, const int *const inp, const int *const ixch, const int *const ixck, const int *const ixwt, const int *const ih2, const int *const if1m, const int *const if2m, const int *const if4m, const int *const if5m, const int *const if6m, const int *const if7m, const int *const if8m, const int *const ifvp2m, const int *const iyco2, const int *const if9m, const int *const iyhcn, const int *const iyno, const int *const ihox, const int *const iynh3)
void | uicppr (const int *const nclass, const int *const nsalpp, const int *const ippmod, const int *const iccoal, const int *const ipppro, const int *const ipproc, const int *const ieqnox, const int *const ihtco2, const int *const ihth2o, const int *const itemp1, const int *const irom1, const int *const ym1, const int *const ighcn1, const int *const ighcn2, const int *const ignoth, const int *const ignh31, const int *const ignh32, const int *const ifhcnd, const int *const ifhcnc, const int *const ifnh3d, const int *const ifnh3c, const int *const ifnohc, const int *const ifnonh, const int *const ifnoch, const int *const ifnoth, const int *const icnohc, const int *const icnonh, const int *const ifhcnr, const int *const icnorb, const int *const igrb, const int *const immel, const int *const itemp2, const int *const ix2, const int *const irom2, const int *const idiam2, const int *const igmdch, const int *const igmdv1, const int *const igmdv2, const int *const igmhet, const int *const ighco2, const int *const ighh2o, const int *const igmsec, const int *const ibcarbone, const int *const iboxygen, const int *const ibhydrogen)
void | uicfsc (const int *const ienerg, const int *const itempk)
void | uielpr (const int *const nsalpp, const int *const ippmod, const int *const ipppro, const int *const ipproc, const int *const ieljou, const int *const ielarc, const int *const itemp, const int *const iefjou, const int *const idjr, const int *const idji, const int *const ilapla, const int *const idrad, const int *const ixkabe)
void | uielsc (const int *const ippmod, const int *const ieljou, const int *const ielarc, const int *const ngazg, const int *const iscalt, const int *const ipotr, const int *const iycoel, const int *const ipoti, const int *const ipotva)
void | uicopr (const int *const nsalpp, const int *const ippmod, const int *const ipppro, const int *const ipproc, const int *const icolwc, const int *const iirayo, const int *const itemp, const int *const imam, const int *const iym, const int *const ickabs, const int *const it4m, const int *const it3m, const int *const itsc, const int *const irhol, const int *const iteml, const int *const ifmel, const int *const ifmal, const int *const iampl, const int *const itscl, const int *const imaml)
void | uicosc (const int *const ippmod, const int *const icolwc, const int *const icoebu, const int *const icod3p, const int *const iscalt, const int *const ifm, const int *const ifp2m, const int *const iygfm, const int *const iyfm, const int *const iyfp2m, const int *const icoyfp)
void | uieli1 (const int *const ieljou, const int *const ielarc, int *const ielcor, double *const couimp, double *const puisim, int *const modrec, int *const idreca, double *const crit_reca)
void | uielrc (int *const izreca, double *const crit_reca)
void | uiati1 (int *imeteo, char *fmeteo, int *len CS_ARGF_SUPP_CHAINE)
void | uiatpr (const int *const nsalpp, const int *const ippmod, const int *const iatmos, const int *const ipppro, const int *const ipproc, const int *const itempc, const int *const iliqwt)
void | uiatsc (const int *const ippmod, const int *const iatmos, const int *const iscalt, const int *const itotwt, const int *const intdrp)
void | uisofu (const int *const ippmod, const int *const iccoal, const int *const icpl3c, const int *const iirayo, const int *const iihmpr, const int *const ncharm, int *const ncharb, int *const nclpch, int *const nclacp, const int *const ncpcmx, int *const ichcor, double *const diam20, double *const cch, double *const hch, double *const och, double *const nch, double *const sch, double *const ipci, double *const pcich, double *const cp2ch, double *const rho0ch, double *const thcdch, double *const cck, double *const hck, double *const ock, double *const nck, double *const sck, double *const xashch, double *const xashsec, double *const xwatch, double *const h0ashc, double *const cpashc, int *const iy1ch, double *const y1ch, int *const iy2ch, double *const y2ch, double *const a1ch, double *const a2ch, double *const e1ch, double *const e2ch, double *const crepn1, double *const crepn2, double *const ahetch, double *const ehetch, int *const iochet, double *const ahetc2, double *const ehetc2, int *const ioetc2, double *const ahetwt, double *const ehetwt, int *const ioetwt, int *const ieqnox, int *const imdnox, int *const irb, int *const ihtco2, int *const ihth2o, double *const qpr, double *const fn, double *const ckabs1, int *const noxyd, double *const oxyo2, double *const oxyn2, double *const oxyh2o, double *const oxyco2, double *const repnck, double *const repnle, double *const repnlo)
void | cfnmtd (char *fstr, int *lenCS_ARGF_SUPP_CHAINE)
char * | cs_gui_get_thermophysical_model (const char *const model_thermo)
void | cs_gui_numerical_double_parameters (const char *const param, double *const keyword)
int | cs_gui_get_activ_thermophysical_model (void)

## Function Documentation

void cfnmtd | ( | char * | fstr,
|  | int * | lenCS_ARGF_SUPP_CHAINE
| ) |  |

int cs_gui_get_activ_thermophysical_model | ( | void |  | ) |

char* cs_gui_get_thermophysical_model | ( | const char *const | model_thermo | ) |

void cs_gui_numerical_double_parameters | ( | const char *const | param,
|  | double *const | keyword
| ) |  |

void uiati1 | ( | int * | imeteo,
|  | char * | fmeteo,
|  | int *len | CS_ARGF_SUPP_CHAINE
| ) |  |

void uiatpr | ( | const int *const | nsalpp,
|  | const int *const | ippmod,
|  | const int *const | iatmos,
|  | const int *const | ipppro,
|  | const int *const | ipproc,
|  | const int *const | itempc,
|  | const int *const | iliqwt
| ) |  |

void uiatsc | ( | const int *const | ippmod,
|  | const int *const | iatmos,
|  | const int *const | iscalt,
|  | const int *const | itotwt,
|  | const int *const | intdrp
| ) |  |

void uicfsc | ( | const int *const | ienerg,
|  | const int *const | itempk
| ) |  |

void uicopr | ( | const int *const | nsalpp,
|  | const int *const | ippmod,
|  | const int *const | ipppro,
|  | const int *const | ipproc,
|  | const int *const | icolwc,
|  | const int *const | iirayo,
|  | const int *const | itemp,
|  | const int *const | imam,
|  | const int *const | iym,
|  | const int *const | ickabs,
|  | const int *const | it4m,
|  | const int *const | it3m,
|  | const int *const | itsc,
|  | const int *const | irhol,
|  | const int *const | iteml,
|  | const int *const | ifmel,
|  | const int *const | ifmal,
|  | const int *const | iampl,
|  | const int *const | itscl,
|  | const int *const | imaml
| ) |  |

void uicosc | ( | const int *const | ippmod,
|  | const int *const | icolwc,
|  | const int *const | icoebu,
|  | const int *const | icod3p,
|  | const int *const | iscalt,
|  | const int *const | ifm,
|  | const int *const | ifp2m,
|  | const int *const | iygfm,
|  | const int *const | iyfm,
|  | const int *const | iyfp2m,
|  | const int *const | icoyfp
| ) |  |

void uicpi1 | ( | double *const | srrom,
|  | double *const | diftl0
| ) |  |

void uicpi2 | ( | double *const | toxy,
|  | double *const | tfuel
| ) |  |

void uicppr | ( | const int *const | nclass,
|  | const int *const | nsalpp,
|  | const int *const | ippmod,
|  | const int *const | iccoal,
|  | const int *const | ipppro,
|  | const int *const | ipproc,
|  | const int *const | ieqnox,
|  | const int *const | ihtco2,
|  | const int *const | ihth2o,
|  | const int *const | itemp1,
|  | const int *const | irom1,
|  | const int *const | ym1,
|  | const int *const | ighcn1,
|  | const int *const | ighcn2,
|  | const int *const | ignoth,
|  | const int *const | ignh31,
|  | const int *const | ignh32,
|  | const int *const | ifhcnd,
|  | const int *const | ifhcnc,
|  | const int *const | ifnh3d,
|  | const int *const | ifnh3c,
|  | const int *const | ifnohc,
|  | const int *const | ifnonh,
|  | const int *const | ifnoch,
|  | const int *const | ifnoth,
|  | const int *const | icnohc,
|  | const int *const | icnonh,
|  | const int *const | ifhcnr,
|  | const int *const | icnorb,
|  | const int *const | igrb,
|  | const int *const | immel,
|  | const int *const | itemp2,
|  | const int *const | ix2,
|  | const int *const | irom2,
|  | const int *const | idiam2,
|  | const int *const | igmdch,
|  | const int *const | igmdv1,
|  | const int *const | igmdv2,
|  | const int *const | igmhet,
|  | const int *const | ighco2,
|  | const int *const | ighh2o,
|  | const int *const | igmsec,
|  | const int *const | ibcarbone,
|  | const int *const | iboxygen,
|  | const int *const | ibhydrogen
| ) |  |

void uicpsc | ( | const int *const | ncharb,
|  | const int *const | nclass,
|  | const int *const | noxyd,
|  | const int *const | ippmod,
|  | const int *const | iccoal,
|  | const int *const | ieqnox,
|  | const int *const | ieqco2,
|  | const int *const | ihtco2,
|  | const int *const | ihth2o,
|  | const int *const | iscalt,
|  | const int *const | inp,
|  | const int *const | ixch,
|  | const int *const | ixck,
|  | const int *const | ixwt,
|  | const int *const | ih2,
|  | const int *const | if1m,
|  | const int *const | if2m,
|  | const int *const | if4m,
|  | const int *const | if5m,
|  | const int *const | if6m,
|  | const int *const | if7m,
|  | const int *const | if8m,
|  | const int *const | ifvp2m,
|  | const int *const | iyco2,
|  | const int *const | if9m,
|  | const int *const | iyhcn,
|  | const int *const | iyno,
|  | const int *const | ihox,
|  | const int *const | iynh3
| ) |  |

void uieli1 | ( | const int *const | ieljou,
|  | const int *const | ielarc,
|  | int *const | ielcor,
|  | double *const | couimp,
|  | double *const | puisim,
|  | int *const | modrec,
|  | int *const | idreca,
|  | double *const | crit_reca
| ) |  |

void uielpr | ( | const int *const | nsalpp,
|  | const int *const | ippmod,
|  | const int *const | ipppro,
|  | const int *const | ipproc,
|  | const int *const | ieljou,
|  | const int *const | ielarc,
|  | const int *const | itemp,
|  | const int *const | iefjou,
|  | const int *const | idjr,
|  | const int *const | idji,
|  | const int *const | ilapla,
|  | const int *const | idrad,
|  | const int *const | ixkabe
| ) |  |

void uielrc | ( | int *const | izreca,
|  | double *const | crit_reca
| ) |  |

void uielsc | ( | const int *const | ippmod,
|  | const int *const | ieljou,
|  | const int *const | ielarc,
|  | const int *const | ngazg,
|  | const int *const | iscalt,
|  | const int *const | ipotr,
|  | const int *const | iycoel,
|  | const int *const | ipoti,
|  | const int *const | ipotva
| ) |  |

void uippmo | ( | int *const | ippmod,
|  | int *const | icod3p,
|  | int *const | icodeq,
|  | int *const | icoebu,
|  | int *const | icobml,
|  | int *const | icolwc,
|  | int *const | iccoal,
|  | int *const | icpl3c,
|  | int *const | icfuel,
|  | int *const | ieljou,
|  | int *const | ielarc,
|  | int *const | ielion,
|  | int *const | icompf,
|  | int *const | iatmos,
|  | int *const | iaeros,
|  | int *const | ieos,
|  | int *const | ieqco2
| ) |  |

void uisofu | ( | const int *const | ippmod,
|  | const int *const | iccoal,
|  | const int *const | icpl3c,
|  | const int *const | iirayo,
|  | const int *const | iihmpr,
|  | const int *const | ncharm,
|  | int *const | ncharb,
|  | int *const | nclpch,
|  | int *const | nclacp,
|  | const int *const | ncpcmx,
|  | int *const | ichcor,
|  | double *const | diam20,
|  | double *const | cch,
|  | double *const | hch,
|  | double *const | och,
|  | double *const | nch,
|  | double *const | sch,
|  | double *const | ipci,
|  | double *const | pcich,
|  | double *const | cp2ch,
|  | double *const | rho0ch,
|  | double *const | thcdch,
|  | double *const | cck,
|  | double *const | hck,
|  | double *const | ock,
|  | double *const | nck,
|  | double *const | sck,
|  | double *const | xashch,
|  | double *const | xashsec,
|  | double *const | xwatch,
|  | double *const | h0ashc,
|  | double *const | cpashc,
|  | int *const | iy1ch,
|  | double *const | y1ch,
|  | int *const | iy2ch,
|  | double *const | y2ch,
|  | double *const | a1ch,
|  | double *const | a2ch,
|  | double *const | e1ch,
|  | double *const | e2ch,
|  | double *const | crepn1,
|  | double *const | crepn2,
|  | double *const | ahetch,
|  | double *const | ehetch,
|  | int *const | iochet,
|  | double *const | ahetc2,
|  | double *const | ehetc2,
|  | int *const | ioetc2,
|  | double *const | ahetwt,
|  | double *const | ehetwt,
|  | int *const | ioetwt,
|  | int *const | ieqnox,
|  | int *const | imdnox,
|  | int *const | irb,
|  | int *const | ihtco2,
|  | int *const | ihth2o,
|  | double *const | qpr,
|  | double *const | fn,
|  | double *const | ckabs1,
|  | int *const | noxyd,
|  | double *const | oxyo2,
|  | double *const | oxyn2,
|  | double *const | oxyh2o,
|  | double *const | oxyco2,
|  | double *const | repnck,
|  | double *const | repnle,
|  | double *const | repnlo
| ) |  |